org.apache.sysds.runtime.io

## Class TensorWriterBinaryBlock

- java.lang.Object
- - org.apache.sysds.runtime.io.TensorWriter
  - - org.apache.sysds.runtime.io.TensorWriterBinaryBlock

Direct Known Subclasses:
  TensorWriterBinaryBlockParallel

    public class TensorWriterBinaryBlock
    extends TensorWriter

### Constructor Summary

Constructors
Constructor and Description
`TensorWriterBinaryBlock()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeTensorToHDFS(TensorBlock src, String fname, int blen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TensorWriterBinaryBlock

    public TensorWriterBinaryBlock()

### Method Detail

#### writeTensorToHDFS

    public void writeTensorToHDFS(TensorBlock src,
                                  String fname,
                                  int blen)
                           throws IOException

Specified by:
  `writeTensorToHDFS` in class `TensorWriter`
Throws:
  `IOException`